<template>
  <div
    class="geometry-sidebar flex flex-col gap-2 fixed left-0 top-0 px-2 py-2"
  >
    <NuxtLink
      v-for="tab in props.menuTabHeaders"
      :key="tab.TabType"
      :to="tab.TabURL"
      class="flex justify-center items-center w-10 h-10 rounded-lg bg-background1"
    >
      <img
        :src="
          getAssetImage(
            `assets/svg-icon/${tab.TabType.replace(
              /\s+/g,
              ''
            ).toLowerCase()}.svg`
          )
        "
        alt=""
      />
    </NuxtLink>
  </div>
</template>

<script setup lang="ts">
import { TabInfo } from "~~/models/IGetPlayableGamesResponse";

const props = defineProps<{
  menuTabHeaders: TabInfo[];
}>();
const { getAssetImage } = commonHelper;
</script>

<style lang="scss">
.geometry-sidebar {
  top: calc(
    var(--mobile-header-height, 0) + var(--mobile-banner-height, 0) +
      var(--mobile-announcement-height, 0)
  );
  .router-link-active {
    background: var(--primary);
  }
}
</style>
